PamCut: CaloNHitCut Class Reference

# CaloNHitCut Class Reference

The number of hits cut for the calorimeter. An event survives this selection if the number of hit planes in the calorimeter is greater than some value. To save computing time, the class assumes that the track is externally computed for each event and stored in CaloAxis objects; pointers to these objects are passed as arguments to the constructor. The Check method will then ignore the PamLevel2 *event and assume that the current content of the CaloAxis objects are relative to the current event. It is an user's task to ensure that these assumptions are fulfilled every time Check or ApplyCut are called. More...

`#include <CaloNHitCut.h>`

Inheritance diagram for CaloNHitCut:

List of all members.

## Public Member Functions
| CaloNHitCut (const char *cutName, CaloAxis *xCaloAxis, CaloAxis *yCaloAxis, int nMinHit=10)
| Constructor.
| ~CaloNHitCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The number of hit planes check.
## Private Attributes
CaloAxis * | _xCaloAxis
CaloAxis * | _yCaloAxis
int | _nMinHit

## Detailed Description

The number of hits cut for the calorimeter. An event survives this selection if the number of hit planes in the calorimeter is greater than some value. To save computing time, the class assumes that the track is externally computed for each event and stored in CaloAxis objects; pointers to these objects are passed as arguments to the constructor. The Check method will then ignore the PamLevel2 *event and assume that the current content of the CaloAxis objects are relative to the current event. It is an user's task to ensure that these assumptions are fulfilled every time Check or ApplyCut are called.

CUT DEPENDENCIES: CaloTrackCut for the existence of the track (it can also provide the CaloAxis objects).

Definition at line 29 of file CaloNHitCut.h.

## Constructor & Destructor Documentation

CaloNHitCut::CaloNHitCut | ( | const char * | cutName,
|  | CaloAxis * | xCaloAxis,
|  | CaloAxis * | yCaloAxis,
|  | int | nMinHit = `10` |
| ) |  |  | `[inline]`

Constructor.

The CaloAxis arguments are pointers to objects which contain the calorimeter track information for current event.

Parameters:

  | cutName | The cut name.
  | xCaloAxis | The pointer to the CaloAxis object for X axis.
  | yCaloAxis | The pointer to the CaloAxis object for Y axis.
  | nMinHit | The minimum number of hits.

Definition at line 43 of file CaloNHitCut.h.

CaloNHitCut::~CaloNHitCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 47 of file CaloNHitCut.h.

## Member Function Documentation

int CaloNHitCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The number of hit planes check.

The check is done by looking if there is a charge release near the track, using the CaloAxis class. If a charge greater than 0 is found by invoking CaloAxis::GetQ for at least nMinHit planes (both for X and Y) the condition is fulfilled.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the track hits at least nMinHit planes both in X and Y.

  0 otherwise.

See also:
  CaloNHitCut::CaloNHitCut

Implements PamCut.

Definition at line 12 of file CaloNHitCut.cpp.

References _nMinHit, _xCaloAxis, _yCaloAxis, CUTOK, and CaloAxis::GetQ().

## Member Data Documentation

int CaloNHitCut::_nMinHit`[private]`

Definition at line 65 of file CaloNHitCut.h.

Referenced by Check().

CaloAxis* CaloNHitCut::_xCaloAxis`[private]`

Definition at line 64 of file CaloNHitCut.h.

Referenced by Check().

CaloAxis * CaloNHitCut::_yCaloAxis`[private]`

Definition at line 64 of file CaloNHitCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- CaloCuts/CaloNHitCut/CaloNHitCut.h
- CaloCuts/CaloNHitCut/CaloNHitCut.cpp